aboutsummaryrefslogtreecommitdiffstats
path: root/testing/perl-io-stringy/APKBUILD
diff options
context:
space:
mode:
authorLinux User <larena@df1844j.ita.wtbts.net>2009-06-05 13:56:34 +0000
committerLinux User <larena@df1844j.ita.wtbts.net>2009-06-05 13:56:34 +0000
commitf458af045a9d614b55776fd3345e0dc221924acb (patch)
tree2d226d1b60c65ef5e01b4f588c8fac4eb0b47221 /testing/perl-io-stringy/APKBUILD
parent43e4328d2c66cbca6c4119cc61a6e8fa133c3b73 (diff)
downloadaports-f458af045a9d614b55776fd3345e0dc221924acb.tar.gz
aports-f458af045a9d614b55776fd3345e0dc221924acb.tar.bz2
aports-f458af045a9d614b55776fd3345e0dc221924acb.tar.xz
testing/perl-io-stringy: new aport
Diffstat (limited to 'testing/perl-io-stringy/APKBUILD')
-rw-r--r--testing/perl-io-stringy/APKBUILD24
1 files changed, 24 insertions, 0 deletions
diff --git a/testing/perl-io-stringy/APKBUILD b/testing/perl-io-stringy/APKBUILD
new file mode 100644
index 0000000000..26b0849c79
--- /dev/null
+++ b/testing/perl-io-stringy/APKBUILD
@@ -0,0 +1,24 @@
+# Contributor: Leonardo Arena <rnalrd@gmail.com>
+# Maintainer: Leonardo Arena <rnalrd@gmail.com>
+pkgname=perl-io-stringy
+_realname=IO-stringy
+pkgver=2.110
+pkgrel=0
+pkgdesc="A Perl module for I/O on in-core objects like strings and arrays"
+url="http://search.cpan.org/~dskoll/IO-stringy-2.110/"
+license="unknown"
+depends="perl"
+makedepends="perl-dev"
+install=
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/D/DS/DSKOLL/$_realname-$pkgver.tar.gz"
+
+build() {
+ cd "$srcdir/$_realname-$pkgver"
+
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
+ make || return 1
+ make DESTDIR="$pkgdir" install
+}
+
+md5sums="2e6a976cfa5521e815c1fdf4006982de IO-stringy-2.110.tar.gz"